DJ’s Designability Motto: Professional. Meaningful. Affordable.

As you may be aware due to recent media coverage Heartbleed (more details at heartbleed.com) is a security vulnerability in OpenSSL, a popular data encryption library. This could allow hackers with knowledge of the exploit to access data found in the server’s memory. Most of Bravehost infrastructure was not using that version, the exception being Bravehost mailservers.

As soon as the Heartbleed exploit hit the news, engineers updated Bravehost version of OpenSSL to close this vulnerability, as well as replaced Bravehost SSL Certificates.

If you are a webmail user, to ensure the security of your credentials, DJDS and Bravehost recommend all mail clients update their Bravehost email account passwords.

Update your Bravehost email account password by following the directions below:

While logged into webmail , click on Settings at the top right of the page, then on Change password.
Hang With Us